import sys
import json
from postgres.client.sql import SQLit

if len(sys.argv) == 1:
    print("Usage: {} <model file path>".format(sys.argv[0]));
    exit()

filepath = sys.argv[1]

sql = SQLit()

with open(filepath) as f:
    model = json.load(f)

sql.execute('delete from acropolis;')

for node in model['nodeDataArray']:
    record = {'type': 'node', 'profile': json.dumps(node)}
    stmt = sql.insert_stmt('acropolis', record)
    sql.execute(stmt, list(record.values()))

for link in model['linkDataArray']:
    record = {'type': 'link', 'profile': json.dumps(link)}
    stmt = sql.insert_stmt('acropolis', record)
    sql.execute(stmt, list(record.values()))
