import logging
from postgres.client.sql import SQLit

table='test_campaigns';
log_obj = logging.getLogger(__name__)

def get_campaigns(sort:str=None, **filter):
    sql = SQLit()
    return sql.select_as_dict(table, sort=sort, **filter)

class Campaign:

    def __init__(self, **record): 
        self.record = record
        self.sql = SQLit()
        rec=self.sql.select_as_dict(table, **record)
        if rec:
            log_obj.info("Campaign already created in p2store")
            self.record = rec[0]

    def insert(self):
        stmt = self.sql.insert_stmt(table,  self.record)
        ret = self.sql.execute(stmt, *list(self.record.values()))
        if (ret != 1):
            log_obj.error("Error adding a test campaign");
            return None
        campaigns = get_campaigns(sort='id desc')
        self.record = campaigns[0]
        return self.record

    def update_status(self, new_status:str):
        return self.sql.update(table,'id', self.id, status=new_status)
